#ifndef RT_STRING_STORAGE_H
#define RT_STRING_STORAGE_H

/* Memory management for strings.
 * This should only be used for relatively short strings (<256 bytes)
 * For large amounts of data, use the block allocator instead.
 */

#include "runtime.h"

#ifdef __cplusplus
extern "C" {
#endif

RT_DLLEXPORT char *rtStoreString(const char *sz);

RT_DLLEXPORT void rtFreeString(char *storeStringRet);

#ifdef __cplusplus
}
#endif

#endif
